<?php
require_once(__DIR__."/translationMsg.php");
define("tokenRest",  baseURL . "/oauth/token"); // auth academia url
define("gatewayDetailsAPI", '/rest/paymentGatewayMaster/findAllByAcademyLocationIds');
define("standardGatewayDetailsApi","/rest/standardPaymentGateway/findAllIsActiveStatus");
define("getStandardMerchantDetails","/rest/standardPaymentGateway/findStandardPaymentGatewayByName");
//Declaration Payment
define("declarationPaymentUpdateStatus", "/rest/onlinePaymentForApplicantPortalResource/updateTransactionStatus");
define("declarationPayerInfo", "/rest/onlinePaymentForApplicantPortalResource/applicantInfoByOnlinePaymentId");
define("declarationPaymentCreateReceipt", "/rest/onlinePaymentForApplicantPortalResource/createReceiptAndSettlement");
//Declaration Form Submition
define("ApplicantFormSubmit", '/rest/application/submitApplicationFromNewPortal');
//Portal Link Save
define("portalLinkSaved", '/rest/portalLinkSaved/create');
// Examination Receipt Creation
define("billHeaderCreationAssessment", "/rest/receiptHeader/saveAndCreateBillForExam");
// Get Student Details
define("getStudentDetails", "/rest/student/getStudemtAllDetailsById");
define("getApplicantPorgramDetails", "/rest/applicationProgram/findApplicationProgramsWithStageDetails");
// Revaluation Payment
define("billHeaderCreation", "/rest/billHeader/generateRevaluation");
// Course Enrollement API's
define("EnrollStudentDetails", "/rest/onlineEnrollmentMaster/findPayeeInformationByOnlineEnrollMasterId");
define("EnrollStudentUpdateStatus", "/rest/onlineEnrollmentMaster/updateOnlineEnrollMasterTransactionStatus");
define("EnrollStudentCreateReceipt", "/rest/onlineEnrollmentMaster/requestOnlineForStudentCourseEnrollment");
// online Payment
define("fetchInfoRest", "/rest/onlinePaymentMaster/findPayeeInformationByOnlinePyamentMasterId");
define("successRestUpdateStatus", "/rest/onlinePaymentMaster/updateOnlinePaymentMasterTransactionStatus");
define("successRestCreateReceipt", "/rest/onlinePaymentMaster/createReceiptAndSettlementForOnlinePaymentByOnlinePaymentMasterId");

//Examination Payment
define('getExaminationPaymentDetails', '/rest/paymentGatewayMaster/findAllByAcademyLocationIdsForExam');
define('getDropdown', '/rest/dropDown/findAll');

//AluminiPayment
define('findAlumniDetailsById','/alumni/alumniPayment/findAlumniDetailsById');
define('createAlumniReceipt', '/alumni/alumniPayment/save');

//INFO: SEND Payment Link
define("studentPaymentLinkDetails", "/rest/paymentLink/studentTransactionPaymentLink");
define("updatePaymentLinkExpire", "/rest/paymentLink/updatePaymentLinkExpire");

//INFO:  Advance Payment API
define("advancePaymentDetails", "/rest/onlinePaymentMaster/findPayeeInformationByOnlinePyamentMasterIdAndStudentId");
define("advancePaymentReceipt", "/rest/onlinePaymentMaster/createReceiptForOnlinePayment");
define("FailureAdvancePaymentURL", domainURL . "/failureAdvancePayment.php");
define("SuccessAdvancePaymentURL", domainURL . "/successAdvancePayment.php");

######  Registration Portal  ######
define("SuccessPaymentRegistrationReturnURL", domainURL . "/getResponseRegistrationPortal.php");
define("FailurePaymentRegistrationReturnURL", domainURL . "/getResponseFailureRegistrationPortal.php");
define("SuccessPendingPaymentRegistrationPortal", domainURL . "/getResponcePendingPaymentRegistration.php");
define("FailurePendingRegistrationPayment", domainURL . "/getResFailurePendingRegistrationPortal.php");
define("fetchRegistrationPortalInfo", "/rest/onlineCourseEnrollmentMaster/findPayeeInformationByOnlineCourseEnrollMasterId");
define("updateTransactionStatus", "/rest/onlineCourseEnrollmentMaster/updateOnlineCourseEnrollMasterTransactionStatus");
define("receiptGeneratedForCoursePayment", "/rest/onlineCourseEnrollmentMaster/requestOnlineForStudentCourseEnrollmentResponsivePortal");
define("updateTransactionStatusPayLetter", "/rest/onlineCourseEnrollmentMaster/updateOnlineCourseEnrollMasterTransactionStatusForPayLater");
define("createReceiptForPayLetter", "/rest/onlineCourseEnrollmentMaster/requestOnlineForCreatingReceiptResponsivePortalByPaylater");
